#include <GL/glx.h>
#include <X11/extensions/xf86vmode.h>
#include <X11/keysym.h>

#ifndef GL_FRAMEWORK__INCLUDED
#define GL_FRAMEWORK__INCLUDED

typedef struct {
	bool keyDown [256];
} Keys;

typedef struct {
	Display	*dpy;
	Window win;
	GLXContext ctx;
	XSetWindowAttributes attr;
	XF86VidModeModeInfo deskMode;
	bool doubleBuffered;
	int screen;
	char *title;
	unsigned int width;
	unsigned int height;
	unsigned int depth;
	bool isFullScreen;
} GL_WindowInit;

typedef struct {
	Keys *keys;
	GL_WindowInit init;
	struct timeval lastTickCount;
} GL_Window;

void Keypress(int);
void Keyrelease(int);

#endif
