#include <iostream>
#include <fstream>
#include <cstring>

#include <rw.h>
#include <dff.h>

using namespace std;

Rw::CDff dff;

int main(int argc, char *argv[])
{
	ifstream fdff;

	if (argc < 2) {
		cerr << "Usage: " << argv[0] << " dff\n";
		exit(1);
	}
	fdff.open(argv[1], ios::binary);
	if (fdff.fail()) {
		cerr << "Couldn't open file: " << argv[1] << endl;
		exit(1);
	}
	dff.ReadFromFile(fdff);

	cout << "Done loading\n";
	fdff.close();

	return 0;
}
