#include "rwcore.h"

int main()
{
	RwStream *stream;
	RwUInt32 length, version;

	stream = NULL;

	stream = RwStreamOpen(rwSTREAMFILENAME, rwSTREAMREAD,
	                      "od_newscafe_dy.dff");

	if (RwStreamFindChunk(stream, rwID_CLUMP, &length, &version) == TRUE) {
		printf("Found Clump with length: %d and version: %X\n",
		        length, version);
	}
	if (RwStreamFindChunk(stream, rwID_STRUCT, &length, &version) == TRUE) {
		printf("Found Struct with length: %d and version: %X\n",
		        length, version);
	}
	RwStreamSkip(stream, length);
	if (RwStreamFindChunk(stream, rwID_FRAMELIST, &length, &version) == TRUE){
		printf("Found Framelist with length: %d and version: %X\n",
		        length, version);
	}
	RwStreamClose(stream, NULL);

	return 0;
}
